<mat-card>
  <mat-card-title>Driver create</mat-card-title>
  <mat-card-content>
    <form [formGroup]="registerForm" (ngSubmit)="submit()">
      <p>
        <mat-form-field>
          <input type="text" matInput placeholder="lastName" formControlName="lastName">
        </mat-form-field>
      </p>
      <p>
        <mat-form-field>
          <input type="text" matInput placeholder="firstName" formControlName="firstName">
        </mat-form-field>
      </p>

      <p>
        <mat-form-field>
          <input type="text" matInput placeholder="Username" formControlName="userName">
        </mat-form-field>
      </p>
      <p>
        <mat-form-field>
          <mat-label>Enter your password</mat-label>
          <input [type]="hide ? 'password' : 'text'" matInput formControlName="password">
          <button mat-icon-button matSuffix (click)="hide = !hide" [attr.aria-label]="'Hide password'"
                  [attr.aria-pressed]="hide">
            <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
          </button>
        </mat-form-field>
      </p>
      <p>
        <mat-form-field>
          <input type="text" matInput placeholder="Email" formControlName="email">
        </mat-form-field>
      </p>


      <p>
        <mat-form-field>
          <input type="text" matInput placeholder="Contacts" formControlName="contacts">
        </mat-form-field>
      </p>
      <!--      <p *ngIf="error" class="error">-->
      <!--        {{ error }}-->
      <!--      </p>-->
      <div class="button">
        <button type="submit" mat-button>Save</button>
      </div>

    </form>
  </mat-card-content>
</mat-card>
